Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class IncompleteDeploymentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.deployment.DeploymentException
                      org.jboss.deployment.IncompleteDeploymentException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

public class IncompleteDeploymentException
extends DeploymentException

IncompleteDeploymentException.java Created: Mon Jun 24 08:20:16 2002

Version:
Author:
  David Jencks
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`IncompleteDeploymentException(Collection mbeansWaitingForClasses, Collection mbeansWaitingForDepends, Collection rootCause, Collection incompletePackages, Collection waitingForDeployer)`

Method Summary
`Collection` | `getIncompletePackages()` Get the IncompletePackages value.
`Collection` | `getMbeansWaitingForClasses()` Get the MbeansWaitingForClasses value.
`Collection` | `getMbeansWaitingForDepends()` Get the MbeansWaitingForDepends value.
`Collection` | `getWaitingForDeployer()` Get the WaitingForDeployer value.
`boolean` | `isEmpty()`
`String` | `toString()`

Methods inherited from class org.jboss.deployment.DeploymentException
`rethrowAsDeploymentException`

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncompleteDeploymentException

    public IncompleteDeploymentException(Collection mbeansWaitingForClasses,
                                         Collection mbeansWaitingForDepends,
                                         Collection rootCause,
                                         Collection incompletePackages,
                                         Collection waitingForDeployer)

Method Detail

### getMbeansWaitingForClasses

    public Collection getMbeansWaitingForClasses()

  Get the MbeansWaitingForClasses value.

  Returns:
    the MbeansWaitingForClasses value.

### getMbeansWaitingForDepends

    public Collection getMbeansWaitingForDepends()

  Get the MbeansWaitingForDepends value.

  Returns:
    the MbeansWaitingForDepends value.

### getIncompletePackages

    public Collection getIncompletePackages()

  Get the IncompletePackages value.

  Returns:
    the IncompletePackages value.

### getWaitingForDeployer

    public Collection getWaitingForDeployer()

  Get the WaitingForDeployer value.

  Returns:
    the WaitingForDeployer value.

### isEmpty

    public boolean isEmpty()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.